ChangeLog

revision $Id$

+ new feature
- change
x bug fix

0000-00-00 Version SVN
    + Added 'Owl' plugin
    + Added 'Pause every' param
    + Added 'Overwrite encoder full circle' param for 'Merlin-Orion' plugin

2011-04-16 Version 2.1.21 (dev)
    + Added 'Clauss' plugin
    + New serial baudrate param
    + Added 'Trigger only once" param in shutter plugins
    + New dialog for Goto feature
    - removed some calls to event loop in main controller on MacOS
    - removed "reverse direction' feature (use new 'nearest-corner')
    - increased timer 'repeat' param max value up to 99999
    x fixed connect param in pluginsField
    x fixed missing ':' in 'Merlin/Orion' plugin
    x fixed 'Generic Tethered' plugin params usage
    x fixed 'nearest-corner' bug when not connected

2010-06-15 Version 2.1.20 (dev)
    + new 'nearest-corner' entry from 'Start from' param
    + 'Ursa Minor Bt2' plugin improved
    - 'Panoduino' default channels changed
    - 'Panoduino' 'Angle for 1ms' param extended to 9999.9°
    x 'Panoduino' channels init revisited
    x remove unavailable drivers from list
    x 'Merlin-Orion' plugin alternate drive with offset (set reference)

2010-04-19 Version 2.1.19 (dev)
    + new 'additional delay' param for 'Panoduino' plugin
    x several fixes in 'Panoduino' plugin
    x fixed byte conversion bug in Pololu hardware

2010-04-15 Version 2.1.18 (dev)
    + new menu to trigger the shutter manually
    + added more settings to 'Panoduino' plugin
    + shooting counter support (in data file and display dialog)
    + added custom params to 'Generic Tethered' plugin
    + added alternate drive angle param to 'Merlin-Orion' plugin
    - Set Reference feature moved from button to menu
    - new xml data file format (version 'c')
    - 'Panoduino' plugin now uses Pololu Micro Maestro controller

2010-04-03 Version 2.1.17 (dev)
    + pitch arm side param
    + bulb mode in shutter plugins
    + 'Gphoto Bracket' plugin (jeongyun patch)
    + 'Panoduino' plugin (replace 'Pololu Servo' plugin)
    + value changed callback mecanism in plugins
    - mosaic nb picts limits are now yaw=500, pitch=250
    - don't register anymore 2 plugins under the same name
    - plugins labels revisited
    x unicode fix in Help About dialog
    x goto initial position now works even from reference position
    x reload correct combobox config in plugins (unicode issue)

2010-02-14 Version 2.1.16 (dev)
    + renamed 'Panoguy' plugin to 'GigaPanBot'
    + add path param to 'NK Remote' plugin
    - read real position for xml data file (jeongyun patch)
    - new plugins hardware architecture
    x bug fixed in 'GigaPanBot' plugin

2010-02-01 Version 2.1.15 (dev)
    + params for communication (timeout/retry)
    + 'NK Remote' plugin
    + 'Panoguy' plugin

2010-01-10 Version 2.1.14 (dev)
    - translations files updated
    x unicode fix

2009-10-20 Version 2.1.13 (dev)
    + read firmeware version in 'Merlin/Orion' plugin
    x check limits before applying offset

2009-10-20 Version 2.1.12 (dev)
    + color support on Windows console for log
    + 'PixOrb' plugin
    + 'DSLR Remote Pro' plugin
    + czech translation
    - removed key binding
    x pictures correctly centered on shooting scene

2009-09-15 Version 2.1.11 (dev)
    + mosaic start corner selection
    + reverse shooting direction
    + i18n plugins support
    + czech translation (partial)
    - data file enabled by default
    - remove bracketing intent
    - user config is always overwritten for new versions
    - renamed 'Ursa Minor' plugins
    - improved connection sequence
    - new xml data file format (version 'b')
    - 'EOS Utility' plugin params revisited
    x several bug fix
    x text shooting view refresh
    x manager now correctly loads custom plugins

2009-06-20 Version 2.1.10 (dev)
    - removed refresh bluetooth button
    - improved connection sequence
    x bluetooth scan on MacOS (only once!)

2009-06-07 Version 2.1.9 (dev)
    + new shutter plugin for USB TA interface
    - updated startup plugins dialog
    - plugins refactoring
    x fixed encoder counts-per-turn value

2009-05-19 Version 2.1.8 (dev)
    + open plugins dialog at startup if needed
    - mosaic nb picts limits are now yaw=200, pitch=200
    x fixed bug in unicode decoding strings

2009-05-11 Version 2.1.7 (dev)
    - use a bluetoothTransport module for all platforms
    - new plugins config layout

2009-05-04 Version 2.1.6 (dev)
    + preview invalid positions
    + alternate drive for 'Merlin-Orion' plugin
    + set/clear limits from menu now active
    + added channel param to 'Pololu Servo' plugin

2009-05-02 Version 2.1.5 (dev)
    + bluetooth support on MacOS
    - 'Pololu Servo' plugin params revisited

2009-05-01 Version 2.1.4 (dev)
    - 'Pololu Servo' plugin params revisited
    - removed auto-connect param
    x fixed bug in 'Merlin' plugin
    x activate 'EOS Utility' plugin
    x misc bugs fix

2009-04-24 Version 2.1.3 (dev)
    + 'Pololu Servo' plugin
    + 'EOS Utility' plugin (sjhenry contribution)

2009-04-06 Version 2.1.2 (dev)
    + separate menu/dialog for hardware preferences
    x several bug fix in plugins

2009-03-31 Version 2.1.1 (dev)
    + hardware plugin architecture

2009-03-23 Version 2.1.0 (dev)
    + flag to use external shooting script
    + new init() method in external shooting script
    - log file now in temp dir
    x fixed unicode log problems
    x icon size on maemo fixed

2009-03-15 Version 2.0.0 (stable)
    (include all 1.9.x entries)
    x misc bugs correction

2009-03-12 Version 1.9.9 (dev)
    + added default log file handler

2009-03-10 Version 1.9.8 (dev)
    - switched to QSettings
    x clear log buffer now works
    x Qt space formatter fixed

2009-03-03 Version 1.9.7 (dev)
    + external script call for tethered shooting tests

2009-02-16 Version 1.9.6 (dev)
    x fixed refresh bug in Spy

2009-02-14 Version 1.9.5 (dev)
    + splashscreen
    + i18n support
    - publish position using UDP datagram

2009-02-11 Version 1.9.4 (dev)
    + added pulse width high/low params
    x fixed state of Step button

2009-02-09 Version 1.9.3 (dev)
    + menu to go to home and initial position
    + delay after shooting (Canon EOS 400D issue test)
    - 'Resume' button label turns to 'Step' if step-by-step flag activated

2009-02-07 Version 1.9.2 (dev)
    + improved graphical scene refresh speed
    - switched to PyQt threads (removed serializer)
    - use yellow color for next position instead of crosshair cursor
    - use PyQt signals

2009-02-02 Version 1.9.1 (dev)
    + added crosshair cursor for next position
    + css load support
    x fullscreen mode fixed on maemo
    x statusbar shown on maemo

2009-01-26 Version 1.9.0 (dev)
    - switch to PyQt

2009-01-14 Version 1.6.0 (stable)
    (include all 1.5.x entries)
    - changed connect icon

2009-01-04 Version 1.5.6 (dev)
    - changed some icons in shooting dialog
    x fixed seg. fault and File menu crash on Nokia

2008-12-23 Version 1.5.5 (dev)
    - Mosaic/Preset now in a Notebook

2008-12-21 Version 1.5.4 (dev)
    + show shooting time in addition to total elapsed time
    + fullscreen state saved in preferences
    + new i18n language (italian)
    - picture drawing revisited
    - splited progressbar
    - shoot dialog starts fullscreen if main window is fullscreen
    - config dialog Notebook tabs now scrollable
    x window X buton disabled while shooting

2008-12-15 Version 1.5.3 (dev)
    + show elapsed time
    + show mosaic total resolution
    + menu to load a specific gtkrc file
    - shooting text view init with max values
    - skip step-by-step test after shooting if timeValue is 0
    - shooting dialog revisited
    x progressbar value

2008-12-10 Version 1.5.2 (dev)
    + add support for user gtkrc style file
    - improved shooting text view
    x fixed bug in yaw/pitch index and repeat

2008-12-04 Version 1.5.1 (dev)
    + text view for shooting informations
    - improvement of the timer/intervalometer
    x generate a new data file at each timer repeat

2008-12-01 Version 1.5.0 (dev)
    + simple timer/intervalometer

2008-11-27 Version 1.4.0 (stable)
    (include all 1.3.x entries)
    + shooting area color scheme (internal design only)
    - compute positions only once, and 100 times faster
    - shooting dialog can be resized (not on maemo)
    - pause button no more a toggle button
    x icon size corrected for maemo plateform

2008-11-23 Version 1.3.6 (dev)
    + crosshair cursor for head position (refreshed in real time)
    - shoot dialog no more polls model -> use signals
    x correct use of serializer for async pygtk calls

2008-11-21 Version 1.3.5 (dev)
    + left/right and up/down keys binded to rewind/forward shooting positions
    - pause button is now a toggle button
    x reset manual shoot flag when opening shoot dialog
    x clear border of previous shooting position when selecting next

2008-11-21 Version 1.3.4 (dev)
    + 'fast' manual speed (x2) - can be dangerous for hardware!
    + buttons to select rewind/forward shooting positions

2008-11-19 Version 1.3.3 (dev)
    + show all shooting positions at dialog startup
    + rewind/forward shooting positions

2008-11-15 Version 1.3.2 (dev)
    + general info support
    + manual custom speed

2008-11-07 Version 1.3.1 (dev)
    + fullscreen support (default on maemo)
    + preview shooting at dialog opening
    x maemo menu crash fix

2008-11-06 Version 1.3.0 (dev)
    + MessageDialog for GUI errors/warning
    + catch errors when importing preset file
    + fov and nb picts as mosaic input params

2008-11-01 Version 1.2.1 (stable)
    x fix problem with old versionning system for conf. file

2008-11-01 Version 1.2.0 (stable)
    (include all 1.1.x entries)

2008-10-28 Version 1.1.2 (dev)
    + added mirror lockup standalone param.

2008-10-25 Version 1.1.1 (dev)
    + option to set data storage dir
    - removed debian setup script (need a real debian packaging)
    x preset for 20mm lens corrected
    x better user config. update handling

2008-10-07 Version 1.1.0 (dev)
    + open on-line manual page in a web browser
    + custom user presets support (from file)
    + menu to import custom presets file
    + global try/except statement with traceback in GUI
    + preset templates information window
    + l10n/i18n (english, french, polish, german)
    + log can be saved in a file
    + new network (socket) driver
    + windows installer (bluetooth support broken)
    + nice papywizard icon
    + low-level hardware simulator as standalone application
    + view 3D now a standalone application
    - removed usb driver
    - source structure revisited
    x log viewer background now entire black
    x multi-thread bug corrrection for windows
    x bracketing config revisited

2008-09-19 Version 1.0 (stable)
    + preset shooting mode for full spherical
    + graphical progress
    + nice icons for buttons and menus
    + key shortcuts dynamically activate buttons
    + version in Help > About dialog
    + added hardware auto-connect config option
    + custom data file name format
    + scan bluetooth devices
    + custom xml data file format
    + log viewer
    + software limits
    - removed 360/180 buttons in mosaic mode
    - removed view python modules
    - user config dir path is now ~/.config/papywizard/
    x bug correction in number of pictures
    x better hardware error handling
    x corrected data file format config path

2008-07-04 Version 0.9.1 (stable)
    x fix a bug in nbPicts and 360/180 computations

2008-06-26 Version 0.9 (stable)
    + added 'Set 360' and 'Set 180' buttons
    + all preferences are editable
    + added 'set origin' button
    + statusbar messages
    + added hardware connection graphical feedback
    + wiki documentation
    - removed default preferences
    - splitted preferences in tabs
    - turned Entry widgets to Label widgets
    - new datafile format
    x bug correction when start pos > end pos
    x connect menu is greyed out if hardware is not available
    x better hardware connection error handling
    x closing shoot dialog stops shooting

2008-06-06 Version 0.9beta2 (dev)
    + Nokia/maemo support
    + generate xml file with shooting params (optional)
    + new menu entry to set axis origin (needed for future full spherical implementation)
    + added progressbar during shooting
    + key binding for usage without mouse/pen
    + added hardware driver to config.
    - config now based on ConfigParser
    - use vpython 4 (bug fix crash when hide/quit under linux)
    - switched from Tkinter to Gtk+
    - removed windows support (may be set back in future)
    x added test for several optional import modules
    x axis are now driven concurrently

2007-12-28 Version 0.9-beta1 (dev)
    + auto-connect to real hardware if possible
    + switch from simulation to real hardware
    + show/hide 3D view
    + position refreshed in real time in all dialogs
    - removed home button in manual move dialog
    x prefs are now correctly saved when quit
    x several minor bugs corrections

2007-12-21 Version 0.9-alpha2 (dev)
    + added 3D view
    + first windows binary release

2007-05-21 Version 0.9-alpha1 (dev)
    + initial version
